method

new

Importance_0
Ruby on Rails latest stable (v6.1.7.7) - 0 notes - Class: Rails::Generators::AppGenerator

Method deprecated or moved

This method is deprecated or moved on the latest stable version. The last existing version (v6.0.0) is shown here.

These similar methods exist in v6.1.7.7:

new(*args) public

No documentation

This method has no description. You can help the Ruby on Rails community by adding new notes.

Hide source
# File railties/lib/rails/generators/rails/app/app_generator.rb, line 267
      def initialize(*args)
        super

        if !options[:skip_active_record] && !DATABASES.include?(options[:database])
          raise Error, "Invalid value for --database option. Supported preconfigurations are: #{DATABASES.join(", ")}."
        end

        # Force sprockets and yarn to be skipped when generating API only apps.
        # Can't modify options hash as it's frozen by default.
        if options[:api]
          self.options = options.merge(skip_sprockets: true, skip_javascript: true).freeze
        end

        @after_bundle_callbacks = []
      end
Register or log in to add new notes.